package org.jeecg.modules.diseaseAnalysis.vo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.modules.diseaseAnalysis.entity.AnalysisLineBatchCheckDataMap;

/**
 * <p>
 * 线路质量分析	-分析批次表
 * </p>
 *
 * @author hkl
 * @since 2024-07-19
 */
@Getter
@Setter
@ApiModel(value = "AnalysisLineBatch对象", description = "线路质量分析	-分析批次表")

public class AnalysisLineBatchVO {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("分析批次号")
    private String analysisBatchCode;

    @ApiModelProperty("所属线路id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    private String lineAliasName;

    @ApiModelProperty("分析起始里程")
    private BigDecimal startingMileage;

    @ApiModelProperty("分析终点里程")
    private BigDecimal endMileage;

    @ApiModelProperty("分析状态 0-创建 1-分析中  99-分析完成")
    private Integer analysisStatus;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("1-道岔检查 2-钢轨常规探伤检查 3-曲线钢轨磨耗检查 4-钢轨波磨检查 5-道床检查 6-线路检查）")
    private String ekType;

    @ApiModelProperty("是否可以编辑 ture-可编辑  false-不可编辑")
    private boolean isEdit;

    @ApiModelProperty("分析批次对应得检查批次列表")
    private List<AnalysisLineBatchCheckDataMapVO> checkBatchList;
}
